Skip to main content
POST
/
projects
/
{project_id}
/
keys
/
{key_id}
/
comments
/
{comment_id}
/
replies
cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/:key_id/comments/:comment_id/replies" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X POST \
  -d '{"branch":"my-feature-branch", "message":"Some message..."}' \
  -H 'Content-Type: application/json'
phrase replies create \
--project_id <project_id> \
--key_id <key_id> \
--comment_id <comment_id> \
--data '{"branch":"my-feature-branch", "message": "Some message..."]}' \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{comment_id}/replies"

payload = {
"message": "Some message...",
"branch": "my-feature-branch"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: 'Some message...', branch: 'my-feature-branch'})
};

fetch('https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{comment_id}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "abcd1234cdef1234abcd1234cdef1234",
  "message": "Some message...",
  "has_replies": true,
  "user": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "username": "joe.doe",
    "name": "Joe Doe"
  },
  "created_at": "2015-01-28T09:52:53Z",
  "updated_at": "2015-01-28T09:52:53Z",
  "locales": [
    {
      "id": "abcd1234cdef1234abcd1234cdef1234",
      "name": "English",
      "code": "en-GB"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

key_id
string
required

Translation Key ID

comment_id
string
required

Comment ID

Body

application/json
message
string
required

Reply message body

Example:

"Some message..."

branch
string

Specify the branch to use

Example:

"my-feature-branch"

Response

Created

id
string
message
string
has_replies
boolean
user
user_preview · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
created_at
string<date-time>
updated_at
string<date-time>
mentioned_users
user_preview · object[]
locales
locale_preview · object[]